/* -*- Mode: C++; indent-tabs-mode: nil; tab-width: 4 -*-
 * -*- coding: utf-8 -*-
 *
 * Copyright (C) 2025 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef IAPPVOLUMEWIDGET_H
#define IAPPVOLUMEWIDGET_H

#include <QWidget>
#include <QString>

class IAppVolumeWidget {
public:
    IAppVolumeWidget() = default;
    virtual ~IAppVolumeWidget() {}

public:
    virtual void initUi() = 0;

    virtual void showWidget() = 0;

    virtual QWidget* getWidget() = 0;

    virtual void addAppWidget(int) = 0;

    virtual void removeAppWidget(int) = 0;

    virtual void addAppToWidget(const QString&, const QString&) = 0;

    virtual void removeAppfromWidget(const QString&) = 0;
};

#endif // IAPPVOLUMEWIDGET_H
